<?php

namespace Modules\Currency\Interfaces;

use Modules\Currency\Models\Currency;

interface CurrencyRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Currency;
    public function update(array $request, Currency $currency): Currency;
    public function destroy(Currency $country): void;
    public function destroyAll(array $ids): void;
    public function restore(Currency $country): void;
    public function restoreAll(array $ids): void;
}
